%
% function [a] = get(a, prop)
%
% Overrides the get method for the SMToolbox Class.
%
% i.e. pm = smtoolbox; val = get(pm, 'arg');
% 
% Dr. A. I. Hanna 2005
function [val] = get(a, prop)
    switch prop
        case 'image'
            val = a.image;
        case 'pts'
            val = a.pts;
				case 'imagefilename'
						val = a.imagefilename;
				case 'primaries'
						val = a.primaries;
				case 'closedloops'
						val = a.closedloops;
				case 'loops'
						val = a.loops;
				case 'alignedPts'
						val = a.alignedPts;
        otherwise
            error([prop, ' is not a valid property name of Appearance Entity']);
    end            
    return;
